<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 For 그누보드5.5 순정

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 05월 26일 일요일 오후 19시 50분 / 비, 18.8, 서늘함, 23, 16, 34%. 8.4mm, 70%, 4.8ms / 보통, 23, 23, 0.007

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://www.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 For 그누보드5.5 순정 > 프로그램 > 피리 카페 관리 > 카페 목록
=====================================================================


*/

  include_once('./_common.php');

  $get__p770000_conf = 0;

  $get__p770100 = 1;

  $prog_config_page = 0;

  include_once( piree__path($piree_prog_a[770100]['num'], 'config') );

  $program_image_c = 'p770100__piree_cafe__052.png';

  IF ( $section_c == 'category' || $cate_n > 0 )
  {

    IF ( G5_IS_MOBILE )
    {
      $g5['title'] = "카페 분류 > ";
    }
    ELSE
    {
      $g5['title'] = "피리 카페 > 카페 분류별로 보기 > ";
    }

    $program_image_c = 'p770100__piree_cafe__070.png';

    $page_code_c = 'cafe.list.category';

  }
  ELSE IF ( $section_c == 'region' || $region_n > 0 )
  {

    IF ( G5_IS_MOBILE )
    {
      $g5['title'] = "지역 카페 > ";
    }
    ELSE
    {
      $g5['title'] = "피리 카페 > 지역별 카페 보기 > ";
    }

    $program_image_c = 'p770100__piree_cafe__075.png';

    $page_code_c = 'cafe.list.region';

  }
  ELSE IF ( $section_c == 'recommand' )
  {

    IF ( G5_IS_MOBILE )
    {
      $g5['title'] = "추천 카페 > ";
    }
    ELSE
    {
      $g5['title'] = "피리 카페 > 추천 카페 보기 > ";
    }

    $program_image_c = 'p770100__piree_cafe__054.png';

    $page_code_c = 'cafe.list.recommand';

  }
  ELSE IF ( $section_c == 'popular' )
  {

    IF ( G5_IS_MOBILE )
    {
      $g5['title'] = "인기 카페 > ";
    }
    ELSE
    {
      $g5['title'] = "피리 카페 > 인기 카페 보기 > ";
    }

    $program_image_c = 'p770100__piree_cafe__054.png';

    $page_code_c = 'cafe.list.popular';

  }
  ELSE
  {

    IF ( G5_IS_MOBILE )
    {
      $g5['title'] = "전체 카페 > ";
    }
    ELSE
    {
      $g5['title'] = "피리 카페 > 전체 카페 보기 > ";
    }

    $section_c = 'all';

    $page_code_c = 'cafe.list.all';

    $g5['title'] .= "개설 최근 순";

    $sql_order_c = 'cafe_regi_time_n';

    $sql_sort_c = 'DESC';

	  $page_menu_t = 0;

	  $page_menu_a = array();

	  $page_location_u = '';

	  $cafe_all_t = 0;

	  $cafe_view_t = 0;

	  $sql_select_head_count  = "SELECT COUNT(*) FROM `". $piree['cafe'] ."`";

	  $sql_select_head_row  = "SELECT * FROM `". $piree['cafe'] ."`";

	  $sql_select_list = "";

	  $sql_common_s = "";

    $cafe_list_page_url = piree__url($piree_prog_a[770099]['num'], 'section.cafe.list.php') .'?';

	  $cafe_list_a = array();

	  $sql_order_c = 'cafe_regi_time_n';

	  $sql_sort_c = 'ASC';

	  $cafe_list_page_url .= 'section_c=all';
	  $cafe_list_page_url .= '&pcl_order='. $pcl_order .'&pcl_asc='. $pcl_asc;

	  $sql_select = $sql_select_head_count;
	  $cafe_all_t = sql_efv($sql_select);

	  IF ( $cafe_all_t > 0 )
	  {

      $rows_n = $config['cf_page_rows'];

      $total_page = ceil($cafe_all_t / $rows_n);

      IF ( !$page || $page < 1 )									  $page = 1;

      $start_record_n = ($page - 1) * $rows_n;

      $list_pages = get_paging(G5_IS_MOBILE ? $config['cf_mobile_pages'] : $config['cf_write_pages'], $page, $total_page, $cafe_list_page_url);

      $sql_select  = $sql_select_head_row ." ";
      $sql_select .= "ORDER BY `". $sql_order_c ."` ". $sql_sort_c ." LIMIT ". $start_record_n .", ". $rows_n;
      $result = sql_query($sql_select);

      WHILE ( $row = sql_fetch_array($result) )
      {

        $loop_cafe_n = $row['cafe_row_n'];

        $cafe_list_a[$loop_cafe_n] = $row;

        $cafe_view_t++;

      }

	  }

  }

  include_once( $p770100__skin_p .'/_head.sub.php');

  include_once( $p770100__skin_p .'/_head.skin.php');

  IF ( $section_c == 'all' )
  {

    include_once( $p770100__skin_p .'/section.cafe.list.skin.php');

  }
  ELSE
  {

    include_once( piree__path($piree_prog_a[770100]['num'], 'charged.guide.inc.php') );

?>

   <p>
      <a href="http://piree.cc/0RNi" target="_blank"><img src="http://piree.kr/zdata/piree/piree.web_program/p770100/<?php echo $program_image_c; ?>"></a>
    </p>

<?php

  }

  include_once( $p770100__skin_p .'/_tail.skin.php');

  include_once( $p770100__skin_p .'/_tail.sub.php');

?>